Windows XP compatible non-SSE2 FFmpeg builds

Announcements made by users.
Reino
Posts: 91
Joined: Thu Aug 22, 2013 5:14 pm
Contact:

Re: Windows XP compatible non-SSE2 FFmpeg builds

Post by Reino » Mon Oct 14, 2019 10:57 pm

Linux builds? Are you sure you posted in the right thread?

WarpedEffect
Posts: 1
Joined: Wed Oct 23, 2019 9:21 am

Re: Windows XP compatible non-SSE2 FFmpeg builds

Post by WarpedEffect » Wed Oct 23, 2019 9:43 am

Reino What are the differences between your FFmpeg N and FFmpeg Dev files ?, and which one would you recommend using on Windows XP ?, they both work fine with Jdownloader2 on Windows XP, but I am just curious what are the differences between them and which one should i use ?, thanks.

For example: the latest N version is ffmpeg-N-93674-g1e01f66-win32-static_legacy.7z and the latest Dev version is ffmpeg-4.3-dev-327-g83e0b71-win32-static-xpmod-sse.7z

Reino
Posts: 91
Joined: Thu Aug 22, 2013 5:14 pm
Contact:

Re: Windows XP compatible non-SSE2 FFmpeg builds

Post by Reino » Wed Oct 23, 2019 7:26 pm

Reino wrote:
Sun Jun 30, 2019 2:58 pm
- Renamed all new releases in a more recognizable way, including a version and build string for FFmpeg.
So, there's no difference. Just a new way of naming the archives.
To be more precise, 4.3-dev-327-g83e0b71 is the output of git describe --tags | tail -c +2.
If I would've continued the old naming, then the archive would be called: ffmpeg-N-94698-g83e0b71-win32-static_legacy.7z.

RaceQ
Posts: 1
Joined: Thu Oct 24, 2019 4:46 pm

Re: Windows XP compatible non-SSE2 FFmpeg builds

Post by RaceQ » Thu Oct 24, 2019 5:37 pm

Not really following the complex naming of the download versions.

Could someone advise me, as I want to run ffmpeg.exe on Win XP SP3 on Intel Core 2 Duo (T5500 and E2180) what version should I download?

Is it correct that I should be using build with SSE2 support??

Are all downloads under folder at https://ffmpeg.zeranoe.com/builds/win32/ for win 7 or higher?

manolito
Posts: 14
Joined: Wed Apr 20, 2016 4:02 pm

Re: Windows XP compatible non-SSE2 FFmpeg builds

Post by manolito » Tue Nov 26, 2019 9:15 am

First thing you need to know is if you need the static or the shared build. Functionality is the same, but some host software needs the shared build (DVDStyler is an example).

Reino's builds all work under WinXP, and the "SSE" in the file name means SSE1, not SSE2. Older Intel P3 or Athlons do have SSE, but not SSE2. If you need the latest static version from August 2019 then download this one:
http://rwijnsma.home.xs4all.nl/files/ff ... mod-sse.7z

All current Zeranoe downloads after March 2016 do NOT work under WinXP any more, and they also need SSE2. I believe they still work under Vista, but I did not check this.

Reino
Posts: 91
Joined: Thu Aug 22, 2013 5:14 pm
Contact:

Re: Windows XP compatible non-SSE2 FFmpeg builds

Post by Reino » Thu Nov 28, 2019 1:21 am

RaceQ wrote:
Thu Oct 24, 2019 5:37 pm
Could someone advise me, as I want to run ffmpeg.exe on Win XP SP3 on Intel Core 2 Duo (T5500 and E2180) what version should I download?

Is it correct that I should be using build with SSE2 support??
Hmm, I wasn't notified by your post. Strange.
Anyway, as manolito already mentioned, Zeranoe's builds don't work on WinXP anymore, so I guess you're left with my builds...
RaceQ wrote:
Thu Oct 24, 2019 5:37 pm
Are all downloads under folder at https://ffmpeg.zeranoe.com/builds/win32/ for win 7 or higher?
Just to be sure, those are not my builds.

Post Reply
'